/*
 *      selectfont.c
 *
 * Get the font you wish to use
 *
 * Note: Uncomment the non proportional font you want to use.
 */
#include "defn.h"

/*  avaliable fonts :  
     pfont   --> "Helvetica";	         Proportional font 
     npfont  --> "Courier";	         Non-proportinal font 
     anpfont --> "Courier-Bold";	 Alternate Non-proportinal font 
 */
char  *pfont = "Helvetica";
char  *npfont = "Courier";
char  *anpfont = "Courier-Bold";

selectfont()
{
    if (PROP_SPACE)
	font = pfont;		/* Default font proportional */
    else
    {
	font = npfont;		/* Default font */
/*	font = anpfont;		/* Default font */
    }

    /* set default char size  */
    char_width = (U2x - U1x) * XSCALE * DEFWIDTH / 100.0;    /* mm */
    char_height = (U2y - U1y) * YSCALE * DEFHEIGHT / 100.0;  /* mm */
    char_space = char_width * (1/.67 - 1);  /* see HPGL char size def */
    fprintf(outfile, "/%s %g %g %g DefFont\n",
	    font, chWfact * char_width, chHfact * char_height, char_slant);
	    
}

